Package org.kapott.hbci.sepa.jaxb.camt_052_001_06

## Class ActiveOrHistoricCurrencyAnd13DecimalAmount

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_06.ActiveOrHistoricCurrencyAnd13DecimalAmount

    public class ActiveOrHistoricCurrencyAnd13DecimalAmount
    extends java.lang.Object

Java class for ActiveOrHistoricCurrencyAnd13DecimalAmount complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ActiveOrHistoricCurrencyAnd13DecimalAmount">
       <simpleContent>
         <extension base="<urn:iso:std:iso:20022:tech:xsd:camt.052.001.06>ActiveOrHistoricCurrencyAnd13DecimalAmount_SimpleType">
           <attribute name="Ccy" use="required" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}ActiveOrHistoricCurrencyCode" />
         </extension>
       </simpleContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `ccy`
`protected java.math.BigDecimal` `value`

### Constructor Summary

Constructors
`ActiveOrHistoricCurrencyAnd13DecimalAmount()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCcy()` Gets the value of the ccy property.
`java.math.BigDecimal` `getValue()` Gets the value of the value property.
`void` `setCcy​(java.lang.String value)` Sets the value of the ccy property.
`void` `setValue​(java.math.BigDecimal value)` Sets the value of the value property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### value

    protected java.math.BigDecimal value

#### ccy

    protected java.lang.String ccy

### Constructor Detail

#### ActiveOrHistoricCurrencyAnd13DecimalAmount

    public ActiveOrHistoricCurrencyAnd13DecimalAmount()

### Method Detail

#### getValue

    public java.math.BigDecimal getValue()

Gets the value of the value property.

Returns:
  possible object is `BigDecimal`

#### setValue

    public void setValue​(java.math.BigDecimal value)

Sets the value of the value property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getCcy

    public java.lang.String getCcy()

Gets the value of the ccy property.

Returns:
  possible object is `String`

#### setCcy

    public void setCcy​(java.lang.String value)

Sets the value of the ccy property.

Parameters:
  `value` - allowed object is `String`